-- all levels should have a unique identifier.
-- tutorial levels should be			10xxxx
-- release single player game should be 20xxxx
-- release network games should be		30xxxx
-- specials								40xxxx
-- flyby levels							60xxxx
-- dev tutorial games should be			70xxxx
-- dev single player games should be	80xxxx
-- dev network games should be			90xxxx

-- Use RegisterLevel_Id for Unicode Ids
-- Use Registerlevel for standard string registration
-- DONT FORGET TO REGISTER ALL in script_interface.cpp

-- tutorials
Frontend.RegisterLevel_Id(100000, "tutorial1", ID_TUTORIAL_1_TITLE,  ID_TUTORIAL_1_DESC);
Frontend.RegisterLevel_Id(100001, "tutorial2", ID_TUTORIAL_2_TITLE,  ID_TUTORIAL_2_DESC);
Frontend.RegisterLevel_Id(100002, "tutorial3", ID_TUTORIAL_3_TITLE,  ID_TUTORIAL_3_DESC);
Frontend.RegisterLevel_Id(100003, "tutorial4", ID_TUTORIAL_4_TITLE,  ID_TUTORIAL_4_DESC);
Frontend.RegisterLevel_Id(100004, "tutorial5", ID_TUTORIAL_5_TITLE,  ID_TUTORIAL_5_DESC);
Frontend.RegisterLevel_Id(100005, "tutorial6", ID_TUTORIAL_6_TITLE,  ID_TUTORIAL_6_DESC);
Frontend.RegisterLevel_Id(100006, "tutorial6a", ID_TUTORIAL_6A_TITLE,  ID_TUTORIAL_6A_DESC);
Frontend.RegisterLevel_Id(100007, "tutorial7", ID_TUTORIAL_7_TITLE,  ID_TUTORIAL_7_DESC);
Frontend.RegisterLevel_Id(100008, "tutorial8", ID_TUTORIAL_8_TITLE,  ID_TUTORIAL_8_DESC);
Frontend.RegisterLevel_Id(100009, "tutorial9", ID_TUTORIAL_9_TITLE,  ID_TUTORIAL_9_DESC);
Frontend.RegisterLevel_Id(100010, "tutorial10", ID_TUTORIAL_10_TITLE,ID_TUTORIAL_10_DESC);
Frontend.RegisterLevel_Id(100011, "tutorial11", ID_TUTORIAL_11_TITLE,ID_TUTORIAL_11_DESC);
Frontend.RegisterLevel_Id(100012, "tutorial12", ID_TUTORIAL_12_TITLE,ID_TUTORIAL_12_DESC);

-- finalised single player games
Frontend.RegisterLevel_Id(200003, "scenario3", ID_SINGLE_SCENARIO_3_TITLE, ID_SINGLE_SCENARIO_3_DESC);
Frontend.RegisterLevel_Id(200004, "scenario4", ID_SINGLE_SCENARIO_4_TITLE, ID_SINGLE_SCENARIO_4_DESC);
Frontend.RegisterLevel_Id(200005, "scenario5", ID_SINGLE_SCENARIO_5_TITLE, ID_SINGLE_SCENARIO_5_DESC);
Frontend.RegisterLevel_Id(200002, "scenario2", ID_SINGLE_SCENARIO_2_TITLE, ID_SINGLE_SCENARIO_2_DESC);
Frontend.RegisterLevel_Id(200012, "scenario12", ID_SINGLE_SCENARIO_12_TITLE, ID_SINGLE_SCENARIO_12_DESC);
Frontend.RegisterLevel_Id(200001, "scenario1", ID_SINGLE_SCENARIO_1_TITLE,		ID_SINGLE_SCENARIO_1_DESC);
Frontend.RegisterLevel_Id(200006, "scenario6", ID_SINGLE_SCENARIO_6_TITLE,		ID_SINGLE_SCENARIO_6_DESC);
Frontend.RegisterLevel_Id(200011, "scenario11", ID_SINGLE_SCENARIO_11_TITLE, ID_SINGLE_SCENARIO_11_DESC);
Frontend.RegisterLevel_Id(200007, "scenario7", ID_SINGLE_SCENARIO_7_TITLE,		ID_SINGLE_SCENARIO_7_DESC);
Frontend.RegisterLevel_Id(200008, "scenario8", ID_SINGLE_SCENARIO_8_TITLE,		ID_SINGLE_SCENARIO_8_DESC);
Frontend.RegisterLevel_Id(200009, "scenario9", ID_SINGLE_SCENARIO_9_TITLE,		ID_SINGLE_SCENARIO_9_DESC);
Frontend.RegisterLevel_Id(200010, "scenario10", ID_SINGLE_SCENARIO_10_TITLE,	ID_SINGLE_SCENARIO_10_DESC);
Frontend.RegisterLevel_Id(200013, "scenario13", ID_SINGLE_SCENARIO_13_TITLE, ID_SINGLE_SCENARIO_13_DESC);
Frontend.RegisterLevel_Id(200014, "scenario14", ID_SINGLE_SCENARIO_14_TITLE, ID_SINGLE_SCENARIO_14_DESC);
Frontend.RegisterLevel_Id(200015, "scenario15", ID_SINGLE_SCENARIO_15_TITLE, ID_SINGLE_SCENARIO_15_DESC);
Frontend.RegisterLevel_Id(200016, "scenario16", ID_SINGLE_SCENARIO_16_TITLE, ID_SINGLE_SCENARIO_16_DESC);

Frontend.RegisterLevel_Id(400001, "scenariobonus", ID_SINGLE_SCENARIO_BONUS_TITLE, ID_SINGLE_SCENARIO_BONUS_DESC);
Frontend.RegisterLevel_Id(400002, "sandbox", ID_SINGLE_PLAYER_SANDBOX_MODE_TITLE, ID_SINGLE_PLAYER_SANDBOX_MODE_DESC);

-- finalised multiplayer games
Frontend.RegisterLevel_Id(300000, "net0", ID_MULTI_SCENARIO_1_TITLE, ID_MULTI_SCENARIO_1_DESC);
Frontend.RegisterLevel_Id(300001, "net1", ID_MULTI_SCENARIO_2_TITLE, ID_MULTI_SCENARIO_2_DESC);
Frontend.RegisterLevel_Id(300002, "net2", ID_MULTI_SCENARIO_3_TITLE, ID_MULTI_SCENARIO_3_DESC);
Frontend.RegisterLevel_Id(300003, "net3", ID_MULTI_SCENARIO_4_TITLE, ID_MULTI_SCENARIO_4_DESC);
Frontend.RegisterLevel_Id(300004, "net4", ID_MULTI_SCENARIO_5_TITLE, ID_MULTI_SCENARIO_5_DESC);
Frontend.RegisterLevel_Id(300005, "net5", ID_MULTI_SCENARIO_6_TITLE, ID_MULTI_SCENARIO_6_DESC);
Frontend.RegisterLevel_Id(300006, "net6", ID_PATCH13_0, ID_PATCH13_1);

--Frontend.RegisterLevel(300000, "net0", "Profit", "Make a profit");
--Frontend.RegisterLevel(300001, "net1", "Sales", "Make some sales");
--Frontend.RegisterLevel(300002, "net2", "Paper wealth by target date", "Be worth the most");
--Frontend.RegisterLevel(300003, "net3", "Paper wealth by target amount", "Be first to a value");
--Frontend.RegisterLevel(300004, "net4", "First to be Mayor", "Be first to be voted Mayor");
--Frontend.RegisterLevel(300005, "net5", "Last man Standing", "Be the last player alive");

-- dev single player games
Frontend.RegisterLevel(800000, "randomlevel", "Random Level","Test 2");
Frontend.RegisterLevel(800001, "emptylevel", "Lee's Level","Test 2");
Frontend.RegisterLevel(800002, "andytest", "Andy's Test Level","Test 2");
Frontend.RegisterLevel(800005, "defaultai", "Six Player AI test","Test 2");
Frontend.RegisterLevel(800006, "SHOWLEVEL", "Show Level","Test 2");
